<template>
	<div>
		<nav>
			<div class="navbar-container">
				<div class="navbar-container__logo-container"><img src="https://impax-tours.com/graphics/images/logo.png" alt=""></div>
				<div class="navbar-container__menu">
					<ul>
						<li><a href="/">supercamps</a></li>
						<li><a href="/">ski & snowboard</a></li>
						<li><a href="/">adventure</a></li>
						<li><a href="/">sustainability</a></li>
						<li><a href="/">kontakt</a></li>
						<li><a class="order-button" href="/">bunchen</a></li>
						<li><a href="/" class="active">DE</a> / <a href="">EN</a></li>
					</ul>
				</div>
				<div class="navbar-container__mobile-toggler menu-toggler">
					<img src="@/assets/images/menu.png" alt="" @click="mobileMenuOpened=true">
				</div>
			</div>
			<transition name="fade">
				<div class="mobile-navbar-container" v-show="mobileMenuOpened">
					<div class="mobile-navbar-container__mobile-toggler menu-toggler">
						<img src="@/assets/images/cancel.png" alt="" @click="mobileMenuOpened=false">
					</div>
					<div class="mobile-navbar-container__menu">
						<ul>
							<li><a href="/">supercamps</a></li>
							<li><a href="/">ski & snowboard</a></li>
							<li><a href="/">adventure</a></li>
							<li><a href="/">sustainability</a></li>
							<li><a href="/">kontakt</a></li>
							<li><a class="order-button" href="/">bunchen</a></li>
							<li><a href="/" class="active">DE</a> / <a href="">EN</a></li>
						</ul>
					</div>
				</div>
			</transition>
		</nav>
		<div class="navbar-clearfix"></div>
	</div>
</template>

<script>
export default {
	data(){
		return{
			mobileMenuOpened: false
		}
	}
}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00a290;
$breakpoint: 990px;

nav{
		height: 80px;
		width: 100%;
		background: #fff;
		display: flex;
		justify-content: center;
		align-items: center;
		position: fixed;
		z-index: 200;
		padding: 0 20px;
		box-sizing: border-box;
	.navbar-container{
		max-width: 1200px;
		width: 100%;
		margin: auto;
		display: flex;
		align-items: center;
		justify-content: space-between;
		&__logo-container{
			flex: 1;
			img{
				height: 50px;
				width: auto;
			}
		}

		&__menu{
			flex: 2;
			
			ul{
				padding: 0;
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: space-between;
				li{
					font-family: "Brandon Grotesque";
					font-size: 13px;
					text-transform: uppercase;
					font-weight: bold;
					color: #aeacaa;
					list-style: none;
					white-space: nowrap;
					margin: 0 10px;

					a{
						text-decoration: none;
						color: #aeacaa;
						&.active{
							color: $primary;
						}
						&.order-button{
							border: 2px solid $primary;
							padding: 5px 20px;
							border-radius: 20px;
							font-family: "Brandon Grotesque";
							font-size: 14px;
							font-weight: bold;
							color: $primary;
							transition: .2s all;
							&:hover{
								color: #fff;
								background: $primary;
							}
						}
					}
				}
			}

			@media(max-width: $breakpoint) {
				display: none;
			}
		}	


		&__mobile-toggler{
			display: none;
			@media(max-width: $breakpoint) {
				display: block;
			}
		}
	}
}


.mobile-navbar-container{
	padding: 20px;
	box-sizing: border-box;
	width: 80%;
	right: 0;
	top: 0;
	height: 100vh;
	position: fixed;
	box-shadow: 0px 5px 20px 0px #95c5c0;
	font-family: "Brandon Grotesque";	
	background: #fff;
	&__menu{
		text-transform: uppercase;
		font-weight: bold;
		color: #aeacaa;

		a{
			text-decoration: none;
			color: #aeacaa;
		}

		ul{
			padding: 0;

			li{
				margin-bottom: 10px;
				list-style: none;
			}
		}
	}

	&__mobile-toggler{
		float: right;
	}
}

.menu-toggler{
	opacity: .7;
	img{
		cursor: pointer;
		width: 32px;
		object-fit: cover;
	}
}	

.navbar-clearfix{
	height: 80px;
}

.fade{
	&-enter-active, 
	&-leave-active {
		transition: opacity .5s;
	}

	&-enter, 
	&-leave-to {
		opacity: 0;
	}
}
</style>
